spandsp 0.0.6

test_utils.c File Reference
`#include <stdlib.h>`
`#include <inttypes.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "floating_fudge.h"`
`#include <time.h>`
`#include <fcntl.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp-sim.h"`

## Classes
struct | codec_munge_state_s
struct | complexify_state_s

## Macros
#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | MAX_FFT_LEN 8192
#define | SF_MAX_HANDLE 32
#define | HILBERT_GAIN 1.569546344

## Functions
complexify_state_t * | complexify_init (void)
void | complexify_release (complexify_state_t *s)
complexf_t | complexify (complexify_state_t *s, int16_t amp)
void | fft (complex_t data[], int len)
void | ifft (complex_t data[], int len)
codec_munge_state_t * | codec_munge_init (int codec, int info)
void | codec_munge_release (codec_munge_state_t *s)
void | codec_munge (codec_munge_state_t *s, int16_t amp[], int len)
SNDFILE * | sf_open_telephony_read (const char *name, int channels)
SNDFILE * | sf_open_telephony_write (const char *name, int channels)
int | sf_close_telephony (SNDFILE *handle)